<?xml version="1.0" ?>
<data>
  <!--NOTE: This is an ** Autogenerated file **-->
  <!--NOTE: Sector size is 512bytes-->
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="NON-HLOS.bin" label="modem" num_partition_sectors="172032" physical_partition_number="0" size_in_KB="86016.0" sparse="false" start_byte_hex="0x4000000" start_sector="131072"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="fsc" num_partition_sectors="2" physical_partition_number="0" size_in_KB="1.0" sparse="false" start_byte_hex="0xc000000" start_sector="393216"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="ssd" num_partition_sectors="16" physical_partition_number="0" size_in_KB="8.0" sparse="false" start_byte_hex="0xc001000" start_sector="393224"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="sbl1.mbn" label="sbl1" num_partition_sectors="1024" physical_partition_number="0" size_in_KB="512.0" sparse="false" start_byte_hex="0xc003000" start_sector="393240"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="sbl1.mbn" label="sbl1bak" num_partition_sectors="1024" physical_partition_number="0" size_in_KB="512.0" sparse="false" start_byte_hex="0xc083000" start_sector="394264"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="rpm.mbn" label="rpm" num_partition_sectors="1024" physical_partition_number="0" size_in_KB="512.0" sparse="false" start_byte_hex="0xc103000" start_sector="395288"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="rpm.mbn" label="rpmbak" num_partition_sectors="1024" physical_partition_number="0" size_in_KB="512.0" sparse="false" start_byte_hex="0xc183000" start_sector="396312"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="tz.mbn" label="tz" num_partition_sectors="4096" physical_partition_number="0" size_in_KB="2048.0" sparse="false" start_byte_hex="0xc203000" start_sector="397336"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="tz.mbn" label="tzbak" num_partition_sectors="4096" physical_partition_number="0" size_in_KB="2048.0" sparse="false" start_byte_hex="0xc403000" start_sector="401432"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="devcfg.mbn" label="devcfg" num_partition_sectors="512" physical_partition_number="0" size_in_KB="256.0" sparse="false" start_byte_hex="0xc603000" start_sector="405528"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="devcfg.mbn" label="devcfgbak" num_partition_sectors="512" physical_partition_number="0" size_in_KB="256.0" sparse="false" start_byte_hex="0xc643000" start_sector="406040"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="adspso.bin" label="dsp" num_partition_sectors="32768" physical_partition_number="0" size_in_KB="16384.0" sparse="false" start_byte_hex="0xc683000" start_sector="406552"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="modemst1" num_partition_sectors="3072" physical_partition_number="0" size_in_KB="1536.0" sparse="false" start_byte_hex="0xd683000" start_sector="439320"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="modemst2" num_partition_sectors="3072" physical_partition_number="0" size_in_KB="1536.0" sparse="false" start_byte_hex="0xd803000" start_sector="442392"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="DDR" num_partition_sectors="64" physical_partition_number="0" size_in_KB="32.0" sparse="false" start_byte_hex="0x10000000" start_sector="524288"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="fsg" num_partition_sectors="3072" physical_partition_number="0" size_in_KB="1536.0" sparse="false" start_byte_hex="0x10008000" start_sector="524352"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="sec.dat" label="sec" num_partition_sectors="32" physical_partition_number="0" size_in_KB="16.0" sparse="false" start_byte_hex="0x10188000" start_sector="527424"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="splash.img" label="splash" num_partition_sectors="22528" physical_partition_number="0" size_in_KB="11264.0" sparse="false" start_byte_hex="0x14000000" start_sector="655360"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="emmc_appsboot.mbn" label="aboot" num_partition_sectors="2048" physical_partition_number="0" size_in_KB="1024.0" sparse="false" start_byte_hex="0x18000000" start_sector="786432"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="emmc_appsboot.mbn" label="abootbak" num_partition_sectors="2048" physical_partition_number="0" size_in_KB="1024.0" sparse="false" start_byte_hex="0x18100000" start_sector="788480"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="boot.img" label="boot" num_partition_sectors="65536" physical_partition_number="0" size_in_KB="32768.0" sparse="false" start_byte_hex="0x18200000" start_sector="790528"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="recovery.img" label="recovery" num_partition_sectors="65536" physical_partition_number="0" size_in_KB="32768.0" sparse="false" start_byte_hex="0x1a200000" start_sector="856064"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="devinfo" num_partition_sectors="2048" physical_partition_number="0" size_in_KB="1024.0" sparse="true" start_byte_hex="0x1c200000" start_sector="921600"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="system.img" label="system" num_partition_sectors="3145728" physical_partition_number="0" size_in_KB="1572864.0" sparse="true" start_byte_hex="0x1c300000" start_sector="923648"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="vendor.img" label="vendor" num_partition_sectors="786432" physical_partition_number="0" size_in_KB="393216.0" sparse="true" start_byte_hex="0x7c300000" start_sector="4069376"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="cache.img" label="cache" num_partition_sectors="258048" physical_partition_number="0" size_in_KB="129024.0" sparse="true" start_byte_hex="0x98000000" start_sector="4980736"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="persist.img" label="persist" num_partition_sectors="65536" physical_partition_number="0" size_in_KB="32768.0" sparse="true" start_byte_hex="0x9fe00000" start_sector="5238784"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="misc" num_partition_sectors="2048" physical_partition_number="0" size_in_KB="1024.0" sparse="false" start_byte_hex="0xa1e00000" start_sector="5304320"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="keystore" num_partition_sectors="1024" physical_partition_number="0" size_in_KB="512.0" sparse="false" start_byte_hex="0xa1f00000" start_sector="5306368"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="config" num_partition_sectors="64" physical_partition_number="0" size_in_KB="32.0" sparse="false" start_byte_hex="0xa1f80000" start_sector="5307392"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="oem.img" label="oem" num_partition_sectors="204800" physical_partition_number="0" size_in_KB="102400.0" sparse="true" start_byte_hex="0xa1f88000" start_sector="5307456"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="limits" num_partition_sectors="64" physical_partition_number="0" size_in_KB="32.0" sparse="false" start_byte_hex="0xac000000" start_sector="5636096"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="mota" num_partition_sectors="1024" physical_partition_number="0" size_in_KB="512.0" sparse="false" start_byte_hex="0xb0000000" start_sector="5767168"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="dip" num_partition_sectors="2048" physical_partition_number="0" size_in_KB="1024.0" sparse="false" start_byte_hex="0xb0080000" start_sector="5768192"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="mdtp.img" label="mdtp" num_partition_sectors="65536" physical_partition_number="0" size_in_KB="32768.0" sparse="false" start_byte_hex="0xb0180000" start_sector="5770240"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="syscfg" num_partition_sectors="1024" physical_partition_number="0" size_in_KB="512.0" sparse="false" start_byte_hex="0xb2180000" start_sector="5835776"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="mcfg" num_partition_sectors="8192" physical_partition_number="0" size_in_KB="4096.0" sparse="false" start_byte_hex="0xb2200000" start_sector="5836800"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="lksecapp.mbn" label="lksecapp" num_partition_sectors="256" physical_partition_number="0" size_in_KB="128.0" sparse="false" start_byte_hex="0xb4000000" start_sector="5898240"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="lksecapp.mbn" label="lksecappbak" num_partition_sectors="256" physical_partition_number="0" size_in_KB="128.0" sparse="false" start_byte_hex="0xb4020000" start_sector="5898496"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="cmnlib_30.mbn" label="cmnlib" num_partition_sectors="2048" physical_partition_number="0" size_in_KB="1024.0" sparse="false" start_byte_hex="0xb4040000" start_sector="5898752"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="cmnlib_30.mbn" label="cmnlibbak" num_partition_sectors="2048" physical_partition_number="0" size_in_KB="1024.0" sparse="false" start_byte_hex="0xb4140000" start_sector="5900800"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="cmnlib64_30.mbn" label="cmnlib64" num_partition_sectors="2048" physical_partition_number="0" size_in_KB="1024.0" sparse="false" start_byte_hex="0xb4240000" start_sector="5902848"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="cmnlib64_30.mbn" label="cmnlib64bak" num_partition_sectors="2048" physical_partition_number="0" size_in_KB="1024.0" sparse="false" start_byte_hex="0xb4340000" start_sector="5904896"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="keymaster64.mbn" label="keymaster" num_partition_sectors="2048" physical_partition_number="0" size_in_KB="1024.0" sparse="false" start_byte_hex="0xb4440000" start_sector="5906944"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="keymaster64.mbn" label="keymasterbak" num_partition_sectors="2048" physical_partition_number="0" size_in_KB="1024.0" sparse="false" start_byte_hex="0xb4540000" start_sector="5908992"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="apdp" num_partition_sectors="512" physical_partition_number="0" size_in_KB="256.0" sparse="false" start_byte_hex="0xb8000000" start_sector="6029312"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="msadp" num_partition_sectors="512" physical_partition_number="0" size_in_KB="256.0" sparse="false" start_byte_hex="0xb8040000" start_sector="6029824"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="dpo" num_partition_sectors="16" physical_partition_number="0" size_in_KB="8.0" sparse="false" start_byte_hex="0xb8080000" start_sector="6030336"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="" label="logdump" num_partition_sectors="131072" physical_partition_number="0" size_in_KB="65536.0" sparse="false" start_byte_hex="0xb8082000" start_sector="6030352"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="resource.img" label="resource" num_partition_sectors="729088" physical_partition_number="0" size_in_KB="364544.0" sparse="true" start_byte_hex="0xbc082000" start_sector="6161424"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="userdata.img" label="userdata" num_partition_sectors="0" physical_partition_number="0" size_in_KB="0" sparse="true" start_byte_hex="0xd2482000" start_sector="6890512"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="gpt_main0.bin" label="PrimaryGPT" num_partition_sectors="34" physical_partition_number="0" size_in_KB="17.0" sparse="false" start_byte_hex="0x0" start_sector="0"/>
  <program SECTOR_SIZE_IN_BYTES="512" file_sector_offset="0" filename="gpt_backup0.bin" label="BackupGPT" num_partition_sectors="33" physical_partition_number="0" size_in_KB="16.5" sparse="false" start_byte_hex="(512*NUM_DISK_SECTORS)-16896." start_sector="NUM_DISK_SECTORS-33."/>
</data>
